<?php
// include database and object files
include_once '../config/init.php';	// contains $db
include_once '../config/error.php';
include_once '../objects/db_participates.php';

// prepare user object
$participation = new UserInGameSession($db);

// read mandatory $_POST properties : ensure sessionId and userId are passed in POST parameters
if (isset($_POST['sessionId']))
	$participation->sessionId = $_POST['sessionId'];
else trigger_error( missing_parameter_error("sessionId") );

if (isset($_POST['userId']))
	$participation->userId = $_POST['userId'];
else trigger_error( missing_parameter_error("userId") );

// read other $_POST properties
$participation->avatar =  $_POST['avatar'] ?? "";
$participation->weapon =  $_POST['weapon'] ?? "";
$participation->role =  $_POST['role'] ?? 0;

// register user to the game session
if ($participation->registerUser())
{
	$participation_arr = $participation->getResultArray(true, "User_Registered_OK");
	print_r(json_encode($participation_arr));	// OK
}
else trigger_error("User_Already_Registered");
?>